summaryrefslogtreecommitdiffhomepage
path: root/cmd/containerboot
diff options
context:
space:
mode:
Diffstat (limited to 'cmd/containerboot')
-rw-r--r--cmd/containerboot/test_tailscale.sh16
-rw-r--r--cmd/containerboot/test_tailscaled.sh76
2 files changed, 46 insertions, 46 deletions
diff --git a/cmd/containerboot/test_tailscale.sh b/cmd/containerboot/test_tailscale.sh
index 1fa10abb1..dd56adf04 100644
--- a/cmd/containerboot/test_tailscale.sh
+++ b/cmd/containerboot/test_tailscale.sh
@@ -1,8 +1,8 @@
-#!/usr/bin/env bash
-#
-# This is a fake tailscale CLI (and also iptables and ip6tables) that
-# records its arguments and exits successfully.
-#
-# It is used by main_test.go to test the behavior of containerboot.
-
-echo $0 $@ >>$TS_TEST_RECORD_ARGS
+#!/usr/bin/env bash
+#
+# This is a fake tailscale CLI (and also iptables and ip6tables) that
+# records its arguments and exits successfully.
+#
+# It is used by main_test.go to test the behavior of containerboot.
+
+echo $0 $@ >>$TS_TEST_RECORD_ARGS
diff --git a/cmd/containerboot/test_tailscaled.sh b/cmd/containerboot/test_tailscaled.sh
index 335e2cb0d..b7404a0a9 100644
--- a/cmd/containerboot/test_tailscaled.sh
+++ b/cmd/containerboot/test_tailscaled.sh
@@ -1,38 +1,38 @@
-#!/usr/bin/env bash
-#
-# This is a fake tailscale daemon that records its arguments, symlinks a
-# fake LocalAPI socket into place, and does nothing until terminated.
-#
-# It is used by main_test.go to test the behavior of containerboot.
-
-set -eu
-
-echo $0 $@ >>$TS_TEST_RECORD_ARGS
-
-socket=""
-while [[ $# -gt 0 ]]; do
- case $1 in
- --socket=*)
- socket="${1#--socket=}"
- shift
- ;;
- --socket)
- shift
- socket="$1"
- shift
- ;;
- *)
- shift
- ;;
- esac
-done
-
-if [[ -z "$socket" ]]; then
- echo "didn't find socket path in args"
- exit 1
-fi
-
-ln -s "$TS_TEST_SOCKET" "$socket"
-trap 'rm -f "$socket"' EXIT
-
-while sleep 10; do :; done
+#!/usr/bin/env bash
+#
+# This is a fake tailscale daemon that records its arguments, symlinks a
+# fake LocalAPI socket into place, and does nothing until terminated.
+#
+# It is used by main_test.go to test the behavior of containerboot.
+
+set -eu
+
+echo $0 $@ >>$TS_TEST_RECORD_ARGS
+
+socket=""
+while [[ $# -gt 0 ]]; do
+ case $1 in
+ --socket=*)
+ socket="${1#--socket=}"
+ shift
+ ;;
+ --socket)
+ shift
+ socket="$1"
+ shift
+ ;;
+ *)
+ shift
+ ;;
+ esac
+done
+
+if [[ -z "$socket" ]]; then
+ echo "didn't find socket path in args"
+ exit 1
+fi
+
+ln -s "$TS_TEST_SOCKET" "$socket"
+trap 'rm -f "$socket"' EXIT
+
+while sleep 10; do :; done